Subject: bug#4318: 23.1; trouble indenting looooong lines with visual-line-mode

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 17 Sep 2011 09:23:14 +0200

Allan Gottlieb <[email-masked]> writes:

> yyyy
> xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
>
> So far so good.  Now indent the long line with say one space.
> If visual-line-mode is OFF, I see what I expect, the long line is
> preceded by one space.
>
> But with visual-line-mode ON, a blank line appears on the screen between
> the short and long lines, i.e. the long line (with only one word) was
> wrapped.
> This behavior seems wrong.

I can confirm this behaviour in Emacs 24.

The problem seems to be that `visual-line-mode' breaks long lines after
any white space -- even if the white space begins the line.  That
doesn't seem optimal, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/